:root {
	--ald-primary: #ED2085;
	--ald-secondary: #002942;
	--ald-bg: #FFF;
	--ald-box-bg: #FFF;
  --ald-clr-success: #a0c23b;
  --ald-clr-progress: #fbd429;
  --ald-clr-notstarted: #E11762 ;
}
@import url("https://fonts.googleapis.com/css2?family=Manrope:wght@200;300;400;500;600;700;800&display=swap");

body {
  background-color:  var(--ald-bg) !important;
  font-family: "Manrope", Arial, sans-serif  !important;
}
.bg-primary{
  background-color:  var(--ald-primary) !important;
  color: #fff !important
}
.bg-secondary{
  background-color:  var(--ald-secondary) !important;
  color: #fff !important
}
.nw-landing-bg {
  background-image: url(../img/brand/landing.png);
  background-size: cover;
  background-position: top;
  background-color: var(--ald-bg) !important;
  background-repeat: no-repeat;
}
.the-learner-bg {
  background-image: url(../img/brand/login-bg-1.jpg);
  background-size: cover;
  background-position: top;
  background-color: var(--ald-bg) !important;
  background-repeat: no-repeat;
}
.login-box{
  background-color:  var(--ald-box-bg) !important;
  border-radius: 3rem;
  box-shadow: 1px 1px 10px 10px rgba(0, 0, 0, 0.10) !important;
  min-height: 300px;
}
 .login-box.card .card-header, .register-box.card .card-header {
  padding: 0 !important;
}
 .card.login-box{
  padding: 1rem 2.5rem !important;
}
.card.register-box {
 padding: 0rem 2rem 2rem 2rem !important;
}
.login-box .card-footer {
  padding: 0 !important;
}

.login-box .card-header .center-logo {
  text-align: center;
}

.login-box .card-header .center-logo img {
  max-width: 250px; /* Adjust the size as needed */
}
.login-box .card-body {
  padding: 0;
}
.login-box-text{
  color: inherit;
}

/* #learnerRegistrationForm, #learnerLoginForm, #updatePswdForm{
  padding: 1rem !important;
} */

#learnerRegistrationForm .mb-3, #learnerLoginForm .mb-3, #updatePswdForm .mb-3{
  margin-bottom: 7px !important;
}
#div-reg-step-2 .registration-form-label{
  text-align: left !important;
  width: 100% !important;
}
#updatePswdForm .registration-form-label{
  min-width: 11rem !important;
}
.form-check-input:checked {
  background-color: var(--ald-primary) !important;
}
#chk_rememberMe:checked {
    border-color:  var(--ald-primary) !important;
}

.text-primary{
  color:  var(--ald-primary) !important;
}
.text-success{
  color:  var(--ald-clr-success) !important;
}
.text-progress{
  color:  var(--ald-clr-progress) !important;
}
.text-notstarted{
  color:  var(--ald-clr-notstarted) !important;
}

.btn-loading {
  /* Add styles for spinner or progress indicator here */
  position: relative; /* Optional for positioning the spinner */
}

.btn-loading::after {
  content: '';
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* Add styles for spinner or progress indicator here */
  /* Example using Bootstrap spinners: */
  width: 20px;
  height: 20px;
  border: 5px solid rgba(0, 0, 0, 0.2);
  border-radius: 50%;
  border-left-color: #ddd;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}
.sidenav-header {
  height: auto;
}
.sidenav .navbar-brand {
    padding: 0rem !important;
}

.nav-link svg{
    color: var(--ald-primary) !important;
}
.nav-link.active svg{
    color:#fff !important;
}
.dashboard-learning-stats svg{
    color:#fff !important;
}
.cousre-card svg{
    color:#fff !important;
}

.toggle-view{
  cursor: pointer;
}

.toggle-view.active svg{
    color:#fff !important;
}

.toggle-view .icon{
  background-color:  var(--ald-primary) !important;
  color: #fff !important;
}
.toggle-view .icon:hover{
  background-color:  var(--ald-primary) !important;
}

.toggle-view.active .icon {
    background-color: var(--ald-primary) !important;
}

.card {
    margin-bottom: 1rem;
    padding-left: 2rem !important;
 }

 #mc-course-container  .card,
 #cl-course-container  .card,
 #my-assigned-course-container .card,
 #my-dashboard-container .card{
  padding-left: 0rem !important;
  padding-right: 0rem !important;
 }
 
 .list-view {
   .row {
     > [class*='col-'] {
       max-width: 100%;
       flex: 0 0 100%;
     }
   }
   .card {
     @media (max-width: 575.98px) {
      flex-direction: column;
     }
     flex-direction: row;
     > .card-img-top {
      width: auto;
     }
     
     .card-body {
       display: inline-block;
     }
   }
 }
 
 .progress-circle {
  text-align: center;
  position: relative;
}

.progress-circle .status {
  display: inline-block; /* Display status text inline */
  /* margin-right: 10px; Adjust spacing between text and circle */
  /* font-size: 1.25rem;
  font-weight: bold; */
}

.progress-circle svg {
  width: 10px; /* Adjust circle size if needed */
  height: 10px;
}


/* .progress-circle.not-started,
.progress-circle.in-progress,
.progress-circle.completed {
  
} */

.progress-circle.not-started .status {
  color: var(--ald-clr-notstarted);
}

.progress-circle.in-progress .status {
  color: var(--ald-clr-progress);
}

.progress-circle.completed .status {
  color: var(--ald-clr-success);
}

/* .progress-circle.not-started svg circle.in-progress-circle,
.progress-circle.not-started svg circle.completed-circle,
.progress-circle.in-progress svg circle.completed-circle {
  display: none;
} */

.progress-circle.in-progress svg circle.in-progress-circle {
  display: block;
  color: var(--ald-clr-progress);
}

.progress-circle.completed svg circle.completed-circle {
  display: block;
  color: var(--ald-clr-success);
}

.nav-item .dropdown-menu .dropdown-item.active {
  font-weight: 600;
  border-radius: 0.5rem;
  color: #fff !important;
  background-color:  var(--ald-primary) !important;
}

.chart-container {
  position: relative;
}

.chart-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.select2-container {
	max-width: 99% !important;
    min-width: 99% !important;
}
.select2-search__field{
	width:100% !important
}


.bg-dash-icon-assigned {
  background-color: #3C6ED2 !important;
}
.bg-dash-icon-completed {
  background-color: #04a884 !important;
}
.bg-dash-icon-progress {
  background-color: #F4D164 !important;
}
.bg-dash-icon-notstarted {
  background-color: #FF836E !important;
}
.bg-course-tag {
  background-color: #638BDB !important;
}
#sidenav-collapse-main{
  height:auto !important
}
.status-dot{
  display: inline-block;
  width: 0.75rem;
  height: 0.75rem;
  border-radius: 50%;
  margin-right: 0.5rem;
}
.bg-active {
  background-color: #61C6A2;
}
.bg-inactive {
  background-color:#ccc; 
}
.bg-deactive {
  background-color: #FF836E;
}

.floating-alert{
	position:absolute;
	z-index: 1001;
	top:20%;
	left:33%;
	max-width: 33%;
	width:33%;
	text-align: center; 
}

.gj-textbox-md{  
  display: block !important;
  width: 100% !important;
  padding: 0.5rem 0.75rem !important;
  font-size: 0.875rem !important;
  font-weight: 400 !important;
  line-height: 1.4rem !important;
  color: var(--ald-primary) !important;
  background-color: #fff !important;
  background-clip: padding-box !important;
  border: 1px solid #d2d6da !important;
  appearance: none !important;
  border-radius: 0.5rem !important;
  transition: box-shadow 0.15s ease, border-color 0.15s ease !important;
}
.gj-icon{
  display: none !important;
}

.profile-image-option {
  width: 120px;
  height: 120px;
  display: inline-block;
  margin:.5rem;
  padding: 0;
  cursor: pointer;
  border: 1px solid #ddd; 
  transition: transform 0.3s ease-in-out;
}
.profile-image-option.selected {
  border: 2px solid #00B189; 
  transform: scale(1.25);
}

.profile-image-option.upload-option {
  position: relative; 
}

.profile-image-option.upload-option i {
  position: absolute; 
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ccc;
}

.profile-image-option.upload-option img {
  position: absolute; 
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; 
}

.profile-image-option.upload-option img.d-none {
  display: none; 
}

/* 
.profile-image-option {
  width: 100px;
  height: 100px;
  cursor: pointer;
  border: 1px solid #ddd;
  display: inline-block;
  margin-right: 10px;
  transition: transform 0.3s ease-in-out;
}

.profile-image-option.selected {
  border: 2px solid #00B189;
  transform: scale(1.25);
}

.profile-image-option.upload-option {
  position: relative; 
}

.profile-image-option.upload-option i {
  position: absolute; 
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ccc;
}

.profile-image-option.upload-option img {
  position: absolute; 
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; 
}

.profile-image-option.upload-option img.d-none {
  display: none; 
} */

.placeholder.ui-sortable-handle{
  background-color: inherit !important;
}
.progress_bar .progress{
  height: .8rem !important;
}
.progress-bar.progress-bar-primary{
  height: .8rem !important;
}

.select2-container{
  border-radius: 0.5rem !important;
  border-top-right-radius: 0.5rem !important;
  border-bottom-right-radius: 0.5rem !important;
  border-left-width: 1px !important;
}
.select2-container--default .select2-selection--single {
    display: block !important;
    width: 100% !important;
    font-size: 0.875rem !important;
    font-weight: 400 !important;
    height: 2.5rem !important;
    color: #06262D !important;
    background-color: #fff !important;
    background-clip: padding-box !important;
    border: 1px solid #d2d6da !important;
    appearance: none !important;
    border-radius: 0.5rem !important;
    transition: box-shadow 0.15s ease, border-color 0.15s ease !important;
}
.select2-selection__arrow{
  display: none !important;
}
.select2-container .select2-selection--single .select2-selection__rendered {
  padding: .35rem .75rem !important;
}
.spn-filter-count{
  border-radius: 50%;
  font-size: .75rem;
  margin-right: 0.5rem !important;
  margin-left: 0.5rem !important;
}

h6.td-coursename, h6.td-courseName, h6.td-profilename{
  max-width: 100%; /* Limit the width of the column */ 
  white-space: normal; /* Allow text to wrap */ 
  word-wrap: break-word; /* Break long words if necessary */ 
  overflow: hidden; /* Hide any overflow */ 
  text-overflow: ellipsis; /* Add ellipsis (...) for overflow text */
}

.navbar-vertical .navbar-nav>.nav-item .nav-link .icon,
.navbar-vertical .navbar-nav>.nav-item .nav-link.active .icon {
  background-color: var(--ald-primary) !important;
}
.navbar-vertical.bg-white .navbar-nav .nav-link .icon {
  background-image: none;
  background-color: var(--ald-primary) !important;
}

.navbar-vertical .navbar-nav>.nav-item .nav-link .icon:hover,
.navbar-vertical .navbar-nav>.nav-item .nav-link.active .icon:hover,
.navbar-vertical.bg-white .navbar-nav .nav-link .icon:hover {
  opacity: .8;
}

.cookie-header {
  margin: 0;
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: #f8f9fa; /* Adjust background color as needed */
  z-index: 9999; /* Ensure it stays on top of other elements */
  padding: 1rem;
  box-shadow: 0 -2px 10px rgba(0,0,0,0.1); /* Optional: adds a shadow for better visibility */
  font-size: 1.1rem;
  font-family: "Manrope", Arial, sans-serif  !important;
  color: #0d2940 !important;;
}
.page-content-container{
  min-height: 75vh;
}

.txt-coursename, .txt-modulename {
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2; /* Number of lines to show */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
  cursor: pointer;
}
.footer {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    width: 100%;
    padding: 10px;
}
.footer .left-logo img {
    max-width: 250px; /* Adjust the size as needed */
}
.footer .center-logo {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}
.footer .center-logo img {
    max-width: 250px; /* Adjust the size as needed */
}
.body-content {
  width: 100% !important;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
}

.checkbox-group {
  display: flex;
  flex-direction: column;
  /* gap: 10px; */
}

/* Make checkboxes invisible but functional */
input[type="checkbox"] {
  opacity: 0;
  position: absolute;
  z-index: 1; /* Ensure it's above other elements */
  cursor: pointer;
}

/* Style the labels to make them appear as circular checkboxes */
.checkbox-group label {
  display: flex;
  align-items: center;
  position: relative;
  cursor: pointer;
}

/* Create the circular appearance */
.checkbox-group label::before {
  content: "";
  display: inline-block;
  min-width: 20px;
  min-height: 20px;
  border: 2px solid #98c44e;
  border-radius: 50%;
  margin-right: 10px;
  background-color: transparent;
  transition: background-color 0.2s ease;
}

/* Highlight the circular box when the checkbox is checked */
input[type="checkbox"]:checked + label::before {
  background-color: #98c44e; /* Blue when selected */
}

.welcome-header {
  background: url(../img/brand/header.png);
}

.my-course-header {
  background: url(../img/brand/header-my-course.png);
}
.menu-buttons a{
  min-width: 200px;
  margin-right: 20px !important;
}
.txt-dark{
  color: var(--ald-secondary);
}

.card-title {
  position: relative; /* Enables positioning for child elements */
  padding: 10px; /* Adds space inside the title section */
}

.card-title p{
  width:85%
}

.title-text {
  margin: 0; /* Removes default margins */
}

.info-icon {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
  font-size: 20px;
}

#img-wlcm-body{
  max-width: 500px;
  margin-left: 150px;
}
.course-list li::marker {
  color: #F68631; 
  /* font-size: 18px; */
}
@media (max-width: 1180px) {
  .checkbox-group label, 
  #learnerRegistrationForm .mb-3,
  #learnerLoginForm .mb-3,
  #learnerForgotPasswordForm .mb-3,
  #learnerResetPasswordForm .mb-3,
  #learnerChangePasswordForm .mb-3,
  #updatePswdForm .mb-3,
  #fgtPwdForm .mb-3{
    display: block !important;
  }
}